{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "MENUITEM.CAPTION.ENTITYLISTNAVIGATIONVIEW"
  },
  "caption" : "实体列表导航视图",
  "codeName" : "IBIZOrderListExpView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderListExpView.json",
  "name" : "IBIZOrderListExpView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
  },
  "getPSAppViewMsgGroup" : {
    "modelref" : true,
    "id" : "VMGroup45"
  },
  "getPSDEViewCodeName" : "ListExpView",
  "getPSDEViewId" : "93996e083dfe7980decea33c8b9e57a5",
  "getPSViewLayoutPanel" : {
    "getAllPSPanelFields" : [ {
      "id" : "view_pagecaption"
    } ],
    "codeName" : "Usr1104101971",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "ListExpViewDELISTEXPVIEW",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "page_container",
      "getPSLayout" : {
        "dir" : "column",
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container2",
        "getPSLayout" : {
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "heightMode" : "FULL",
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "页面标题",
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "view_pagecaption",
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "view_pagecaption",
            "predefinedType" : "VIEW_PAGECAPTION",
            "renderMode" : "HEADING1",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "heightMode" : "FULL",
            "layout" : "TABLE_24COL",
            "widthMode" : "FULL"
          },
          "hidden" : false,
          "showCaption" : false
        } ]
      }, {
        "caption" : "栅格容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_grid1",
        "getPSLayout" : {
          "layout" : "SIMPLEFLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "面板容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container1",
          "getPSLayout" : {
            "layout" : "SIMPLEFLEX"
          },
          "getPSLayoutPos" : {
            "grow" : 2,
            "layout" : "SIMPLEFLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "LISTEXPBAR",
            "itemStyle" : "DEFAULT",
            "itemType" : "CTRLPOS",
            "name" : "listexpbar",
            "getPSLayoutPos" : {
              "grow" : -1,
              "heightMode" : "FULL",
              "layout" : "SIMPLEFLEX"
            },
            "showCaption" : true
          } ]
        }, {
          "caption" : "面板容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container8",
          "getPSLayout" : {
            "layout" : "SIMPLEFLEX"
          },
          "getPSLayoutPos" : {
            "grow" : 10,
            "layout" : "SIMPLEFLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "导航区占位",
            "itemStyle" : "DEFAULT",
            "itemType" : "RAWITEM",
            "name" : "nav_pos1",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "SIMPLEFLEX"
            },
            "getPSRawItem" : {
              "name" : "nav_pos1",
              "predefinedType" : "NAV_POS"
            },
            "showCaption" : true
          } ]
        } ]
      } ]
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "viewProxyMode" : true,
    "modelid" : "5B73D350-ECB5-46D5-B9CD-201E56AB4226",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL",
    "getPSAppViewEngines" : [ {
      "engineCat" : "VIEW",
      "engineType" : "ListExpView",
      "name" : "engine",
      "getPSUIEngineParams" : [ {
        "ctrlName" : "listexpbar",
        "name" : "LISTEXPBAR",
        "paramType" : "CTRL"
      } ]
    } ],
    "getPSAppViewLogics" : [ {
      "logicTrigger" : "CUSTOM",
      "logicType" : "SYSUILOGIC",
      "name" : "newdata",
      "getPSAppUILogic" : {
        "actionAfterWizard" : "DEFAULT",
        "logicType" : "PREDEFINED",
        "name" : "新建数据",
        "getNewDataPSAppView" : {
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderEditView.json",
            "viewType" : "DEEDITVIEW"
          }
        },
        "getPSAppUILogicRefViews" : [ {
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderEditView.json",
            "viewType" : "DEEDITVIEW"
          }
        } ],
        "viewLogicType" : "APP_NEWDATA",
        "batchAddOnly" : false,
        "enableBatchAdd" : false,
        "enableWizardAdd" : false
      }
    }, {
      "logicTrigger" : "CUSTOM",
      "logicType" : "SYSUILOGIC",
      "name" : "opendata",
      "getPSAppUILogic" : {
        "logicType" : "PREDEFINED",
        "name" : "打开数据",
        "getOpenDataPSAppView" : {
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderEditView.json",
            "viewType" : "DEEDITVIEW"
          }
        },
        "getPSAppUILogicRefViews" : [ {
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderEditView.json",
            "viewType" : "DEEDITVIEW"
          }
        } ],
        "viewLogicType" : "APP_OPENDATA",
        "editMode" : true
      }
    } ],
    "getPSAppViewRefs" : [ {
      "name" : "EDITDATA",
      "realTitle" : "订单编辑视图",
      "getRealTitlePSLanguageRes" : {
        "lanResTag" : "PAGE.TITLE.IBIZORDER.EDITVIEW"
      },
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderEditView.json",
        "viewType" : "DEEDITVIEW"
      }
    }, {
      "name" : "NEWDATA",
      "realTitle" : "订单编辑视图",
      "getRealTitlePSLanguageRes" : {
        "lanResTag" : "PAGE.TITLE.IBIZORDER.EDITVIEW"
      },
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderEditView.json",
        "viewType" : "DEEDITVIEW"
      }
    } ],
    "getPSControls" : [ {
      "codeName" : "ListExpViewlistexpbar",
      "controlType" : "LISTEXPBAR",
      "hookEventNames" : [ "SELECTIONCHANGE", "LOAD", "ACTIVATED" ],
      "name" : "listexpbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
      },
      "getPSAppViewLogics" : [ {
        "eventArg" : "deuiaction3",
        "eventNames" : "CLICK",
        "logicTrigger" : "CTRLEVENT",
        "logicType" : "APPVIEWUIACTION",
        "name" : "listexpbar_toolbar_deuiaction3_click",
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "listexpbar_toolbar_deuiaction3"
        },
        "getPSViewCtrlName" : "listexpbar_toolbar"
      } ],
      "getPSAppViewRefs" : [ {
        "name" : "EXPITEM:DEFAULT",
        "parentDataJO" : {
          "srfparentdefname" : "IBIZORDERID",
          "srfparentdename" : "IBIZORDER",
          "srfparentmode" : "DER1N_IBIZORDERDETAIL_IBIZORDER_IBIZORDERID"
        },
        "realTitle" : "订单明细表格视图",
        "getRealTitlePSLanguageRes" : {
          "lanResTag" : "PAGE.TITLE.IBIZORDERDETAIL.GRIDVIEW9"
        },
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailGridView9.json",
          "viewType" : "DEGRIDVIEW9"
        }
      } ],
      "getPSAppViewUIActions" : [ {
        "name" : "listexpbar_toolbar_deuiaction3",
        "getPSUIAction" : {
          "modelref" : true,
          "id" : "Edit"
        },
        "uIActionTarget" : "SINGLEKEY",
        "xDataControlName" : "listexpbar_list"
      } ],
      "getPSControlHandler" : {
        "enableDEFieldPrivilege" : false,
        "id" : "listexpbar"
      },
      "getPSControlLogics" : [ {
        "eventNames" : "SELECTIONCHANGE;LOAD;ACTIVATED",
        "logicTag" : "listexpbar",
        "logicType" : "APPVIEWENGINE",
        "name" : "engine_listexpbar",
        "getPSAppViewEngine" : {
          "modelref" : true,
          "id" : "engine"
        }
      } ],
      "getPSControlParam" : {
        "width" : 500.0,
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "LISTEXPBAR"
      },
      "getPSControls" : [ {
        "codeName" : "ListExp",
        "controlType" : "LIST",
        "getCreatePSControlAction" : {
          "modelref" : true,
          "id" : "create"
        },
        "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder/PSLISTS/ListExp.json",
        "getFetchPSControlAction" : {
          "modelref" : true,
          "id" : "fetch"
        },
        "getGetPSControlAction" : {
          "modelref" : true,
          "id" : "load"
        },
        "groupMode" : "NONE",
        "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
        "logicName" : "ListExp",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailGridView9.json",
          "viewType" : "DEGRIDVIEW9"
        },
        "getNavPSDER" : {
          "codeName" : "IBIZORDER",
          "dERType" : "DER1N",
          "dynaModelFilePath" : "PSMODULES/Sample/PSDATAENTITIES/IBIZOrderDetail/PSDERS/DER1N_IBIZORDERDETAIL_IBIZORDER_IBIZORDERID.json",
          "masterOrder" : -1,
          "masterRS" : 0,
          "minorCodeName" : "IBIZORDERDETAILS",
          "name" : "DER1N_IBIZORDERDETAIL_IBIZORDER_IBIZORDERID",
          "orderValue" : 100,
          "pickupDEFName" : "IBIZORDERID",
          "removeActionType" : 3,
          "removeOrder" : 0
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        },
        "getPSControlHandler" : {
          "getPSHandlerActions" : [ {
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
            }
          }, {
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
            }
          }, {
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
            }
          }, {
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
            }
          }, {
            "actionType" : "DEDATASET",
            "name" : "fetch",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FetchDefault"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
            }
          } ],
          "userDRAction" : "READ",
          "enableDEFieldPrivilege" : false,
          "id" : "列表控件处理器"
        },
        "getPSControlLogics" : [ {
          "eventNames" : "SELECTIONCHANGE",
          "logicTag" : "listexpbar_list",
          "logicType" : "CUSTOM",
          "name" : "listexpbar_selectionchange"
        }, {
          "eventNames" : "LOAD",
          "logicTag" : "listexpbar_list",
          "logicType" : "CUSTOM",
          "name" : "listexpbar_load"
        } ],
        "getPSControlParam" : {
          "autoLoad" : true,
          "showBusyIndicator" : true,
          "id" : "listexpbar_list"
        },
        "getPSDEDataImport" : {
          "modelref" : true,
          "id" : "Import"
        },
        "getPSDEListDataItems" : [ {
          "dataType" : 25,
          "name" : "srfmajortext",
          "getPSAppDEField" : {
            "name" : "IBIZORDERNAME",
            "codeName" : "IBIZOrderName"
          }
        }, {
          "dataType" : 25,
          "name" : "srfdescription",
          "getPSAppDEField" : {
            "name" : "MEMO",
            "codeName" : "Memo"
          }
        }, {
          "dataType" : 25,
          "name" : "ibizorderid",
          "getPSAppDEField" : {
            "name" : "IBIZORDERID",
            "codeName" : "IBIZOrderId"
          }
        }, {
          "dataType" : 25,
          "name" : "srfdate",
          "getPSAppDEField" : {
            "name" : "STARTTIME",
            "codeName" : "StartTime"
          }
        }, {
          "dataType" : 25,
          "name" : "srfkey",
          "getPSAppDEField" : {
            "name" : "IBIZORDERID",
            "codeName" : "IBIZOrderId"
          }
        }, {
          "dataType" : 25,
          "name" : "ibizcustomerid",
          "getPSAppDEField" : {
            "name" : "IBIZCUSTOMERID",
            "codeName" : "IBIZCustomerId"
          }
        }, {
          "dataType" : 25,
          "getFrontPSCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ORDERSTEP.json"
          },
          "name" : "wfstep",
          "getPSAppDEField" : {
            "name" : "WFSTEP",
            "codeName" : "WFStep"
          }
        }, {
          "dataType" : 25,
          "getFrontPSCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ORDERSTATE.json"
          },
          "name" : "orderstate",
          "getPSAppDEField" : {
            "name" : "ORDERSTATE",
            "codeName" : "OrderState"
          }
        }, {
          "dataType" : 25,
          "name" : "srfmstag"
        } ],
        "pagingSize" : 1000,
        "getRemovePSControlAction" : {
          "modelref" : true,
          "id" : "remove"
        },
        "getUpdatePSControlAction" : {
          "modelref" : true,
          "id" : "update"
        },
        "hasWFDataItems" : false,
        "enableGroup" : false,
        "enableRowEdit" : false,
        "enableRowEditGroup" : false,
        "enableRowEditOrder" : false,
        "enableRowNew" : false,
        "noSort" : false,
        "showHeader" : true,
        "name" : "listexpbar_list",
        "modelid" : "7d7dd20b1afaec03489a5a9ed63299fe",
        "modeltype" : "PSDELIST"
      }, {
        "codeName" : "ListExpViewlistexpbar_toolbar",
        "controlType" : "TOOLBAR",
        "hookEventNames" : [ "CLICK" ],
        "logicName" : "导航工具栏",
        "name" : "listexpbar_toolbar",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        },
        "getPSControlLogics" : [ {
          "eventArg" : "deuiaction3",
          "eventNames" : "CLICK",
          "logicTag" : "listexpbar_toolbar",
          "logicType" : "APPVIEWLOGIC",
          "name" : "listexpbar_toolbar_deuiaction3_click",
          "getPSAppViewLogic" : {
            "modelref" : true,
            "id" : "listexpbar_toolbar_deuiaction3_click"
          }
        } ],
        "getPSControlParam" : {
          "id" : "listexpbar_toolbar"
        },
        "getPSDEToolbarItems" : [ {
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.EDIT"
          },
          "caption" : "编辑",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction3",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "listexpbar_toolbar_deuiaction3"
          },
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.EDIT"
            },
            "caption" : "编辑",
            "codeName" : "Edit",
            "fullCodeName" : "Edit",
            "name" : "表格界面_编辑操作",
            "getPSSysImage" : {
              "glyph" : "xf044@FontAwesome",
              "cssClass" : "fa fa-edit"
            },
            "predefinedType" : "GRIDVIEW_EDITACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.EDIT"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Edit",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "编辑",
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.EDIT"
          },
          "showCaption" : true,
          "showIcon" : true
        } ],
        "modelid" : "ccc80bd11c6bc1789aa0e05fd5ede0b7",
        "modeltype" : "PSDETOOLBAR"
      } ],
      "width" : 500.0,
      "xDataControlName" : "listexpbar_list",
      "enableCounter" : true,
      "enableSearch" : true,
      "showTitleBar" : true,
      "modelid" : "c49fda1f55b84da055e850e06093b843_listexpbar",
      "modeltype" : "PSEXPBAR"
    }, {
      "controlType" : "SEARCHBAR",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder/PSSEARCHBARS/.json",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
      },
      "getPSControlParam" : {
        "id" : "searchbar"
      },
      "quickGroupCount" : -1,
      "quickSearchMode" : 1,
      "quickSearchWidth" : 0,
      "enableFilter" : false,
      "enableGroup" : false,
      "enableQuickSearch" : true,
      "mobileSearchBar" : false,
      "name" : "searchbar"
    } ]
  },
  "sideBarLayout" : "LEFT",
  "title" : "实体列表导航视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DELISTEXPVIEW",
  "enableDP" : true,
  "enableFilter" : true,
  "enableQuickSearch" : true,
  "enableSearch" : true,
  "showCaptionBar" : false,
  "showDataInfoBar" : true,
  "modelid" : "c49fda1f55b84da055e850e06093b843",
  "modeltype" : "PSAPPDEVIEW"
}